export default class Buff extends Uint8Array {
    constructor(data: ArrayBufferLike, size?: number);
    static str: (x: string, s?: number) => Buff;
    static hex: (x: string, s?: number) => Buff;
    static num: (x: number, s?: number) => Buff;
    static big: (x: bigint, s?: number) => Buff;
    static buff: (x: ArrayBufferLike, s?: number) => Buff;
    static json: (x: object) => Buff;
    static bech32: (x: string) => Buff;
    static base58: (x: string) => Buff;
    static base64: (x: string) => Buff;
    static b64url: (x: string) => Buff;
    toArr(): number[];
    toStr(): string;
    toNum(): number;
    toBig(): bigint;
    toHex(): string;
    toJson(): object;
    toBytes(): Uint8Array;
    toBase32(): string;
    toBase58(): string;
    toBase64(padding?: boolean): string;
    toB64url(): string;
    prepend(data: Uint8Array): Buff;
    append(data: Uint8Array): Buff;
    slice(start?: number, end?: number): Buff;
    write(bytes: Uint8Array, offset?: number): void;
    varint(num: number): Buff;
    static from(data: Uint8Array): Buff;
    static of(...args: number[]): Buff;
    static join(arr: Uint8Array[]): Buff;
    static varint(num: number): Buff;
}
//# sourceMappingURL=buff.d.ts.map